CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
TestNamer Class Reference

Names a test or a fixture suite. More...

`#include <TestNamer.h>`

## Public Member Functions

| TestNamer (const std::string &fixtureName)
| Constructs a namer using the specified fixture name. More...
virtual | ~TestNamer ()
virtual std::string | getFixtureName () const
| Returns the name of the fixture. More...
virtual std::string | getTestNameFor (const std::string &testMethodName) const
| Returns the name of the test for the specified method. More...

## Protected Attributes

std::string | m_fixtureName

## Detailed Description

Names a test or a fixture suite.

TestNamer is usually instantiated using CPPUNIT_TESTNAMER_DECL.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestNamer::TestNamer | ( | const std::string & | fixtureName | ) |

Constructs a namer using the specified fixture name.

Parameters

  fixtureName | Name of the fixture suite. Usually extracted using a macro.

TestNamer::~TestNamer | ( |  | ) |

virtual

## Member Function Documentation

std::string TestNamer::getFixtureName | ( |  | ) | const

virtual

Returns the name of the fixture.

Returns
  Name of the fixture.

std::string TestNamer::getTestNameFor | ( | const std::string & | testMethodName | ) | const

virtual

Returns the name of the test for the specified method.

Parameters

  testMethodName | Name of the method that implements a test.

Returns
  A string that is the concatenation of the test fixture name (returned by getFixtureName()) andtestMethodName, separated using '::'. This provides a fairly unique name for a given test.

## Member Data Documentation

std::string TestNamer::m_fixtureName

protected

The documentation for this class was generated from the following files:

- TestNamer.h
- TestNamer.cpp

| Send comments to: CppUnit Developers